package examples.dao.annotation;

import java.util.List;

import org.seasar.dao.annotation.Arguments;
import org.seasar.dao.annotation.Query;
import org.seasar.dao.annotation.S2Dao;

@S2Dao(bean=Employee.class)
public interface EmployeeAutoDao {

	public List getAllEmployees();

	@Arguments({"job", "deptno"})
	public List getEmployeeByJobDeptno(String job, Integer deptno);
	
	@Arguments({"empno"})
	public Employee getEmployeeByEmpno(int empno);

	@Query("sal BETWEEN ? AND ? ORDER BY empno")
	public List getEmployeesBySal(float minSal, float maxSal);

	@Arguments({"dname_0"})
	public List getEmployeeByDname(String dname);
	
	public List getEmployeesBySearchCondition(EmployeeSearchCondition dto);
	
	public void update(Employee employee);
}